/* modalFoldersAndFilesExplorer.html */
#div-for-folder-and-file-explorer {
    height: 25em;
    overflow-y: scroll;
}

#up-a-level-btn {
    background-color: #3379b7;
    color: white;
}

#up-a-level-btn p {
    color: white;
}

#up-a-level-btn:hover {
    background-color: #286090;
}

.folder, .file {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.file-folder-icon {
    height: 1.4em;
    margin: 0.36em 0.71em 0.36em 0.71em;
}

.file-folder-text {
    padding: 0.36em 0.36em 0.36em 0;
}

/* modalAddGroupToDatabase.html */
.title_buttons {
    display: flex;
    justify-content: flex-end;
}

/* addService.html */
#table_wrapper, #table_wrapper2 {
    overflow-x: scroll;
    width: 100%;
    height: 21.4em;
}

#file-info-div {
    display: flex;
    flex-direction: row;
}

#littleSearch {
    display: flex;
    width: 100%;
}

#loading-group {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    z-index: 1000;
}

.buttons_url {
    display: flex;
    flex-direction: row;
    height: 50%;
}

.input_url {
    width: 100%;
}

.variables_times {
    display: flex;
    flex: 1 1 50%;
    flex-direction: column;
    padding-right: 0.5%;
    padding-left: 0.5%;
    justify-content: center;
}

/* modalAddFileToDatabase.html */
#addService-description {
    height: 10.7em;
}

#groups_variables_div {
    display: none;
}

#btn-link-authentication {
    margin: 1.5em;
}

#get-url-for-catalog-button {
    height: 2.45em;
}

.checkbox-column {
    width: 5.7em;
    white-space: normal;
}

.dimensions-selectpicker-column {
    word-wrap: break-word;
    min-width: 23.2em;
    max-width: 23.2em;
    white-space: normal;
}

.variable-name-column {
    word-wrap: break-word;
    min-width: 11.4em;
    max-width: 11.4em;
    white-space: normal;
}

/* modalEditFileTitleAndDescription.html */
.loading_id {
    display: flex;
    justify-content: center;
    width: 100%
}

/* modalInformationAboutGroup.html */
#pop-up_description2 h1 {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* modalFilterFilesByVariable.html */
#groups_variables {
    height: 35.7em;
    width: 100%;
}

.searchBars {
    width: 100%;
    font-size: 12pt;
    padding: 0.86em 1.4em 0.86em 2.9em;
    border: 0.07em solid #ddd;
    margin-bottom: 0.86em;
}

/* modalMetadataForVariable.html */
#metadata_vars {
    height: 25em;
    overflow-y: scroll;
}

/* modalShapefileList.html */

#shapefile-list {
    height: 10em;
    overflow-y: scroll;
}

.shapefile-table {
    display: flex;
    flex-direction: column;
}

.table-row {
    display: flex;
    flex-direction: row;
    height: 2.5em;
    width: 100%;
}

.table-button {
    height: 100%;
    width: 100%;
}

.column-60percent {
    display: flex;
    align-items: center;
    height: inherit;
    width: 60%;
}

.column-50percent {
    display: flex;
    align-items: center;
    height: inherit;
    width: 50%;
}

.column-40percent {
    display: flex;
    align-items: center;
    height: inherit;
    width: 40%;
}

.column-20percent {
    display: flex;
    align-items: center;
    height: inherit;
    width: 20%;
}

/* modalUploadShapefile.html */
.modal-text-container {
    display: flex;
    flex-direction: column;
}

/* modalGraphCalculator.html */
#calc-dataset-select {
    margin: 1em 0 1em 0;
}

#calc-dataset-select {
    height: 2em;
}

#calc-dataset-display {
    width: 100%;
    height: auto;
    max-height: 5em;
    margin: 1em 0;
    border-style: solid;
    border-color: black;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
}

#new-dataset-id-text {
    font-size: 14pt;
}

#calculator-cumulative {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 3em;
    color: white;
    background-color: #3478b7;
    border-style: solid;
    border-color: black;
}

#disclaimer-header {
    text-align: center;
    width: 100%;

}

.calculator-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25%;
    height: 3em;
    color: white;
    background-color: #3478b7;
    border-style: solid;
    border-color: black;
}

.calculator-button:hover {
    background-color: #89a6c1;
}

.calculator-dataset-button {
    display: flex;
    justify-content: left;
    padding: 0 1em;
    align-items: center;
    width: 100%;
    height: 2em;
    color: black;
    background-color: white;
    border-style: solid;
    border-color: #565656;
    border-width: 0.001em;
}

.calculator-dataset-button:hover {
    cursor: pointer;
}
